package Workflow::CMS::Common;

use strict;
use warnings;

use Workflow::Util qw( can_workflow );

sub blog_stats_entry {
    my ($cb, $app, $template) = @_;

    return if !can_workflow($app);

    my $old;
    my $new;

    $old = <<HTML;
  <div id="entry-<mt:entryid>" class="entry content entry-<mt:if name="__odd__">odd odd<mt:else>even even</mt:if> entry-status-<mt:entrystatus lower_case="1"><mt:if name="entry_type"> entry-<mt:var name="entry_type"></mt:if>">
HTML
    $old = quotemeta($old);

    $new = <<HTML;
  <div id="entry-<mt:entryid>" class="entry content entry-<mt:if name="__odd__">odd odd<mt:else>even even</mt:if> entry-status-<mt:EntryStatusForWorkflow lower_case="1"><mt:if name="entry_type"> entry-<mt:var name="entry_type"></mt:if>">
HTML

    $$template =~ s/$old/$new/;
}

sub list_common {
    my ($cb, $app, $template) = @_;

    return if !can_workflow($app);

    my $old;
    my $new;

    my $reviewer = $app->can_do('approve_entry');

    if ($reviewer) {

        $old = <<HTML;
<mt:if name="use_actions">
  <mt:if name="content_actions">
    <mt:setvarblock name="content_header">
    <ul id="content-actions" class="list-inline action-link-list">
    <mt:loop name="content_actions">
      <li class="list-inline-item">
        <a href="<mt:var name="url" default="javascript:void(0)">"
          class="icon-left d-inline-block<mt:if name="class"> <mt:var name="class"></mt:if><mt:if name="dialog"> mt-open-dialog mt-modal-open</mt:if>"
          <mt:if name="dialog">data-mt-modal-large</mt:if>
          <mt:if name="id"> id="<mt:var name="id">"</mt:if>
          <mt:if name="confirm_msg"> onclick="return confirm('<mt:var name="confirm_msg" escape="js">')"</mt:if>
        >
        <mt:setvarblock name="escaped_label"><mt:var name="label" escape="html"></mt:setvarblock>
        <mt:if name="icon">
          <mtapp:svgicon id="\$icon" size="sm" title="\$escaped_label">
        <mt:else>
          <mtapp:svgicon id="ic_setting" size="sm" title="\$escaped_label">
        </mt:if>
          <mt:var name="escaped_label">
        </a>
      </li>
    </mt:loop>
    </ul>
    </mt:setvarblock>
  </mt:if>
</mt:if>
HTML

        $old = quotemeta($old);

        $$template =~ s/$old//;
    }

    $old = <<HTML;
  <mt:if name="use_actions">
  var useActions = true;
  <mt:else>
  var useActions = false;
  </mt:if>
HTML
    $old = quotemeta($old);

    $new = <<HTML;
  var useActions = false;
HTML

    $$template =~ s/$old/$new/;
}


1;
